Payment methods

get
/v1/profiles/{profileId}/customers/{customerId}/payment-methods

Returns a paged list of all the customers

Authorizations
OAuth2clientCredentialsRequired

This API uses OAuth 2 with the credentials grant flow.

Token URL: Refresh URL:
Path parameters
profileIdstringRequired

The id of the profile

customerIdstringRequired

The id of the customer

Responses
chevron-right
200

OK

application/json

PSU customer type

idstringRead-onlyRequired
statestring · enumOptionalPossible values:
referencestringOptional

Your internal reference, we index this reference for you to search later, not required to use. We also use this for idempotency

Example: b5c9d214-f408-4215-990e-f892c24a6080
methodstring · enumOptional

Payment method type ID

Example: openbankingPossible values:
descriptionstringOptionalExample: Description of the payment shown to the PSU
createdstringRead-onlyRequiredExample: 2024-09-25T12:01:00.103Z
get
/v1/profiles/{profileId}/customers/{customerId}/payment-methods
200

OK

post
/v1/profiles/{profileId}/customers/{customerId}/payment-methods

Creates a customer

Authorizations
OAuth2clientCredentialsRequired

This API uses OAuth 2 with the credentials grant flow.

Token URL: Refresh URL:
Path parameters
profileIdstringRequired

The id of the profile

customerIdstringRequired

The id of the customer

Body

PSU creation customer payment method type

referencestringOptional

Your internal reference, we index this reference for you to search later, not required to use. We also use this for idempotency

Example: b5c9d214-f408-4215-990e-f892c24a6080
methodstring · enumOptional

Payment method type ID

Example: openbankingPossible values:
descriptionstringOptionalExample: Description of the payment shown to the PSU
metadataobjectOptional

Free form key/ value pair

Example: {"key1":123,"customer_id":"123object","internal_reference":"X938378B01","debited":true}
Responses
chevron-right
200

OK

application/json

PSU customer type

idstringRead-onlyRequired
statestring · enumOptionalPossible values:
referencestringOptional

Your internal reference, we index this reference for you to search later, not required to use. We also use this for idempotency

Example: b5c9d214-f408-4215-990e-f892c24a6080
methodstring · enumOptional

Payment method type ID

Example: openbankingPossible values:
descriptionstringOptionalExample: Description of the payment shown to the PSU
createdstringRead-onlyRequiredExample: 2024-09-25T12:01:00.103Z
post
/v1/profiles/{profileId}/customers/{customerId}/payment-methods
get
/v1/profiles/{profileId}/customers/{customerId}/payment-methods/{customerPaymentMethodId}

Returns the data of the customer payment methods

Authorizations
OAuth2clientCredentialsRequired

This API uses OAuth 2 with the credentials grant flow.

Token URL: Refresh URL:
Path parameters
profileIdstringRequired

The id of the profile

customerIdstringRequired

The id of the customer

Responses
chevron-right
200

OK

application/json

PSU customer type

idstringRead-onlyRequired
statestring · enumOptionalPossible values:
referencestringOptional

Your internal reference, we index this reference for you to search later, not required to use. We also use this for idempotency

Example: b5c9d214-f408-4215-990e-f892c24a6080
methodstring · enumOptional

Payment method type ID

Example: openbankingPossible values:
descriptionstringOptionalExample: Description of the payment shown to the PSU
createdstringRead-onlyRequiredExample: 2024-09-25T12:01:00.103Z
get
/v1/profiles/{profileId}/customers/{customerId}/payment-methods/{customerPaymentMethodId}
delete
/v1/profiles/{profileId}/customers/{customerId}/payment-methods/{customerPaymentMethodId}

Deletes the customer payment method (if possible)

Authorizations
OAuth2clientCredentialsRequired

This API uses OAuth 2 with the credentials grant flow.

Token URL: Refresh URL:
Path parameters
profileIdstringRequired

The id of the profile

customerIdstringRequired

The id of the customer

Responses
chevron-right
200

OK

application/json

PSU customer type

idstringRead-onlyRequired
statestring · enumOptionalPossible values:
referencestringOptional

Your internal reference, we index this reference for you to search later, not required to use. We also use this for idempotency

Example: b5c9d214-f408-4215-990e-f892c24a6080
methodstring · enumOptional

Payment method type ID

Example: openbankingPossible values:
descriptionstringOptionalExample: Description of the payment shown to the PSU
createdstringRead-onlyRequiredExample: 2024-09-25T12:01:00.103Z
delete
/v1/profiles/{profileId}/customers/{customerId}/payment-methods/{customerPaymentMethodId}